﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AudioManager : MonoBehaviour
{
    public AudioClip[] AudioClips;
    public AudioSource AudioSourceInstance;

    private static AudioManager _instance;
    public static AudioManager Instance
    {
        get
        {
            return _instance;
        }
    }

    void Awake()
    {
        _instance = this;
    }

    public enum Clip
    {
        BadAnswerClip,
        GoodAnswerClip,
        GoodHitClip,
        BadHitClip,
        ResultsClip,
        SelectionClip
    }

    public void PlayAudioClip(Clip clip)
    {
        AudioSourceInstance.PlayOneShot(AudioClips[(int)clip]);
    }
}