using UnityEngine;
using UnityEngine.UI;

[RequireComponent(typeof(Button))]
public class EnemyController : MonoBehaviour
{
    public BottomGameManager.PlayerColors PlayerColor;
    public int PlayerID;
    public Text PlayerText;

    private Button _button;
    private Image _buttonImage;
    private bool _isInit = false;

    private void Init()
    {
        if (!_isInit)
        {
            _isInit = true;
            _button = GetComponent<Button>();
            _buttonImage = GetComponent<Image>();
            _button.onClick.AddListener(OnEnemyControllerClicked);
        }
    }

    private void OnEnemyControllerClicked()
    {
        BottomGameManager.Instance.LastBottomButtonClickedPosition = transform.position;
        BottomGameManager.Instance.OnButtonClicked(PlayerColor, PlayerID);
    }

    public void Setup(BottomGameManager.PlayerColors playerColor, int playerId)
    {
        Init();
        PlayerColor = playerColor;
        PlayerID = playerId;
        _buttonImage.sprite = BottomGameManager.Instance.GetNormalSprite(PlayerColor);
        var spriteStates = _button.spriteState;
        spriteStates.pressedSprite = BottomGameManager.Instance.GetPressedSprite(PlayerColor);
        _button.spriteState = spriteStates;
        UpdateText(PlayerID, 0);
    }

    public bool UpdateText(int playerId, int score)
    {
        if (playerId == PlayerID)
        {
            PlayerText.text = score.ToString();
            return true;
        }

        return false;
    }
}