﻿using UnityEngine;
using UnityEngine.EventSystems;
using UnityEngine.UI;

[RequireComponent(typeof(Image))]
public class RollerCredits : MonoBehaviour, IPointerDownHandler
{
    public BottomGameManager.PlayerColors PlayerColor;
    private Image _image;
    private Vector3 _currentPosition;
    private float _speed = 30f;
    private bool _interactable = false;
    private int _colorIndex = 0;

    public void Awake()
    {
        _image = GetComponent<Image>();
    }

    public void Setup()
    {
        _interactable = true;

        PlayerColor = (BottomGameManager.PlayerColors)_colorIndex;
        _colorIndex++;

        if (_colorIndex == 4)
        {
            _colorIndex = 0;
        }

        _image.color = BottomGameManager.Instance.GetColor(PlayerColor);
        _currentPosition = new Vector3(-800, 0, 0);

        var color = _image.color;
        color.a = 1;
        _image.color = color;
    }

    private void Update()
    {
        _currentPosition.x += _speed;
        transform.localPosition = _currentPosition;
        transform.Rotate(Vector3.forward, -_speed * 0.1f);
    }

    public void OnPointerDown(PointerEventData eventData)
    {
        if (_interactable)
        {
            var color = _image.color;
            color.a = 0;
            _image.color = color;
            UIManager.Instance.WelcomeUIInstance.ShowCreditsText(PlayerColor);
        }
    }
}