﻿using System.Collections.Generic;

public static class StringExtensions
{
    public static string[] SplitByLine(this string settingsCSV, bool isLocal)
    {
        string[] csvLines;
        if (isLocal)
        {
            csvLines = settingsCSV.Split(new char[] { '\n' });
        }
        else
        {
            settingsCSV = settingsCSV.Replace("\n", string.Empty);
            csvLines = settingsCSV.Split(new char[] { '\r' });
        }

        return csvLines;
    }


    private static System.Random rng = new System.Random();

    public static void Shuffle(this List<string> list)
    {
        int n = list.Count;
        while (n > 1)
        {
            n--;
            int k = rng.Next(n + 1);
            string value = list[k];
            list[k] = list[n];
            list[n] = value;
        }
    }
}