﻿using UnityEngine;

public class UIManager : MonoBehaviour
{
    public LobbyUI LobbyUIInstance;
    public WelcomeUI WelcomeUIInstance;
    public EndOfGameUI EndOfGameUIInstance;
    public BottomGameManager BottomGameManagerInstance;
    public WaitingForPlayersUI WaitingForPlayersUIInstance;

    private static UIManager _instance;
    public static UIManager Instance
    {
        get
        {
            return _instance;
        }
    }

    private void Awake()
    {
        _instance = this;
        DontDestroyOnLoad(gameObject);
    }

    public enum UIScreen
    {
        Welcome,
        Lobby,
        Waiting,
        InGame,
        EndOfGame,
    }
    public void ShowScreen(UIScreen uiscreen)
    {
        HideUI();
        switch (uiscreen)
        {
            case UIScreen.Welcome:
                WelcomeUIInstance.gameObject.SetActive(true);
                break;
            case UIScreen.Lobby:
                LobbyUIInstance.gameObject.SetActive(true);
                break;
            case UIScreen.Waiting:
                WaitingForPlayersUIInstance.gameObject.SetActive(true);
                break;
            case UIScreen.InGame:
                BottomGameManagerInstance.ParentGo.SetActive(true);
                break;
            case UIScreen.EndOfGame:
                EndOfGameUIInstance.gameObject.SetActive(true);
                break;
        }
    }

    private void HideUI()
    {
        LobbyUIInstance.gameObject.SetActive(false);
        WelcomeUIInstance.gameObject.SetActive(false);
        BottomGameManagerInstance.ParentGo.SetActive(false);
        WaitingForPlayersUIInstance.gameObject.SetActive(false);
        EndOfGameUIInstance.gameObject.SetActive(false);
    }
}